pcl::RFFaceDetectorTrainer Class Reference

`#include <pcl/recognition/face_detection/rf_face_detector_trainer.h>`

## Public Member Functions

| RFFaceDetectorTrainer ()
virtual | ~RFFaceDetectorTrainer ()
void | setForestFilename (std::string &ff)
void | setUseNormals (bool use)
void | setWSize (int s)
void | setDirectory (std::string &dir)
void | setNumTrainingImages (int num)
void | setNumTrees (int num)
void | setNumFeatures (int num)
void | setModelPath (std::string &model)
void | setPoseRefinement (bool do_it, int iters=5)
void | setLeavesFaceThreshold (float p)
void | setLeavesFaceMaxVariance (float max)
void | setWStride (int s)
void | setFaceMinVotes (int mv)
void | setNumVotesUsedForPose (int n)
void | setForest (pcl::DecisionForest< NodeType > &forest)
void | getFaceHeatMap (pcl::PointCloud< pcl::PointXYZI >::Ptr &heat_map)
void | getVotes (pcl::PointCloud< pcl::PointXYZ >::Ptr &votes_cloud)
void | getVotes (pcl::PointCloud< pcl::PointXYZI >::Ptr &votes_cloud)
void | getVotes2 (pcl::PointCloud< pcl::PointXYZI >::Ptr &votes_cloud)
void | getDetectedFaces (std::vector< Eigen::VectorXf > &faces)
void | setInputCloud (pcl::PointCloud< pcl::PointXYZ >::Ptr &cloud)
void | setFaceHeatMapCloud (pcl::PointCloud< pcl::PointXYZI >::Ptr &heat_map)
void | trainWithDataProvider ()
void | faceVotesClustering ()
void | detectFaces ()

## Detailed Description

Definition at line 16 of file rf_face_detector_trainer.h.

## Constructor & Destructor Documentation

## RFFaceDetectorTrainer()

pcl::RFFaceDetectorTrainer::RFFaceDetectorTrainer | ( |  | ) |

inline

Definition at line 57 of file rf_face_detector_trainer.h.

## ~RFFaceDetectorTrainer()

virtual pcl::RFFaceDetectorTrainer::~RFFaceDetectorTrainer | ( |  | ) |

inline virtual

Definition at line 79 of file rf_face_detector_trainer.h.

## Member Function Documentation

## detectFaces()

void pcl::RFFaceDetectorTrainer::detectFaces | ( |  | ) |

## faceVotesClustering()

void pcl::RFFaceDetectorTrainer::faceVotesClustering | ( |  | ) |

## getDetectedFaces()

void pcl::RFFaceDetectorTrainer::getDetectedFaces | ( | std::vector< Eigen::VectorXf > & | faces | ) |

inline

Definition at line 228 of file rf_face_detector_trainer.h.

## getFaceHeatMap()

void pcl::RFFaceDetectorTrainer::getFaceHeatMap | ( | pcl::PointCloud< pcl::PointXYZI >::Ptr & | heat_map | ) |

inline

Definition at line 171 of file rf_face_detector_trainer.h.

## getVotes() [1/2]

void pcl::RFFaceDetectorTrainer::getVotes | ( | pcl::PointCloud< pcl::PointXYZ >::Ptr & | votes_cloud | ) |

inline

Definition at line 177 of file rf_face_detector_trainer.h.

References pcl::PointCloud< PointT >::height, pcl::PointCloud< PointT >::points, and pcl::PointCloud< PointT >::width.

## getVotes() [2/2]

void pcl::RFFaceDetectorTrainer::getVotes | ( | pcl::PointCloud< pcl::PointXYZI >::Ptr & | votes_cloud | ) |

inline

Definition at line 189 of file rf_face_detector_trainer.h.

References pcl::PointCloud< PointT >::height, pcl::PointCloud< PointT >::points, and pcl::PointCloud< PointT >::width.

## getVotes2()

void pcl::RFFaceDetectorTrainer::getVotes2 | ( | pcl::PointCloud< pcl::PointXYZI >::Ptr & | votes_cloud | ) |

inline

Definition at line 208 of file rf_face_detector_trainer.h.

References pcl::PointCloud< PointT >::height, pcl::PointCloud< PointT >::points, and pcl::PointCloud< PointT >::width.

## setDirectory()

void pcl::RFFaceDetectorTrainer::setDirectory | ( | std::string & | dir | ) |

inline

Definition at line 106 of file rf_face_detector_trainer.h.

## setFaceHeatMapCloud()

void pcl::RFFaceDetectorTrainer::setFaceHeatMapCloud | ( | pcl::PointCloud< pcl::PointXYZI >::Ptr & | heat_map | ) |

inline

Definition at line 250 of file rf_face_detector_trainer.h.

## setFaceMinVotes()

void pcl::RFFaceDetectorTrainer::setFaceMinVotes | ( | int | mv | ) |

inline

Definition at line 152 of file rf_face_detector_trainer.h.

## setForest()

void pcl::RFFaceDetectorTrainer::setForest | ( | pcl::DecisionForest< NodeType > & | forest | ) |

inline

Definition at line 162 of file rf_face_detector_trainer.h.

## setForestFilename()

void pcl::RFFaceDetectorTrainer::setForestFilename | ( | std::string & | ff | ) |

inline

Definition at line 87 of file rf_face_detector_trainer.h.

## setInputCloud()

void pcl::RFFaceDetectorTrainer::setInputCloud | ( | pcl::PointCloud< pcl::PointXYZ >::Ptr & | cloud | ) |

inline

Definition at line 245 of file rf_face_detector_trainer.h.

## setLeavesFaceMaxVariance()

void pcl::RFFaceDetectorTrainer::setLeavesFaceMaxVariance | ( | float | max | ) |

inline

Definition at line 142 of file rf_face_detector_trainer.h.

## setLeavesFaceThreshold()

void pcl::RFFaceDetectorTrainer::setLeavesFaceThreshold | ( | float | p | ) |

inline

Definition at line 137 of file rf_face_detector_trainer.h.

## setModelPath()

void pcl::RFFaceDetectorTrainer::setModelPath | ( | std::string & | model | ) |

## setNumFeatures()

void pcl::RFFaceDetectorTrainer::setNumFeatures | ( | int | num | ) |

inline

Definition at line 120 of file rf_face_detector_trainer.h.

## setNumTrainingImages()

void pcl::RFFaceDetectorTrainer::setNumTrainingImages | ( | int | num | ) |

inline

Definition at line 110 of file rf_face_detector_trainer.h.

## setNumTrees()

void pcl::RFFaceDetectorTrainer::setNumTrees | ( | int | num | ) |

inline

Definition at line 115 of file rf_face_detector_trainer.h.

## setNumVotesUsedForPose()

void pcl::RFFaceDetectorTrainer::setNumVotesUsedForPose | ( | int | n | ) |

inline

Definition at line 157 of file rf_face_detector_trainer.h.

## setPoseRefinement()

void pcl::RFFaceDetectorTrainer::setPoseRefinement | ( | bool | do_it,
|  | int | iters = `5`
| ) |  |

inline

Definition at line 131 of file rf_face_detector_trainer.h.

## setUseNormals()

void pcl::RFFaceDetectorTrainer::setUseNormals | ( | bool | use | ) |

inline

Definition at line 92 of file rf_face_detector_trainer.h.

## setWSize()

void pcl::RFFaceDetectorTrainer::setWSize | ( | int | s | ) |

inline

Definition at line 97 of file rf_face_detector_trainer.h.

## setWStride()

void pcl::RFFaceDetectorTrainer::setWStride | ( | int | s | ) |

inline

Definition at line 147 of file rf_face_detector_trainer.h.

## trainWithDataProvider()

void pcl::RFFaceDetectorTrainer::trainWithDataProvider | ( |  | ) |

The documentation for this class was generated from the following file:

- pcl/recognition/face_detection/rf_face_detector_trainer.h